VeraCrypt
aboutsummaryrefslogtreecommitdiff
path: root/src/Setup/Linux/veracrypt-uninstall.sh
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2014-06-23 22:48:17 (GMT)
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2014-11-08 22:20:17 (GMT)
commit5218b6dfe829770737cc07d7cf4bbc161525a6d9 (patch)
tree45522c95e0ae6debdc5e339571e6d34c426f231f /src/Setup/Linux/veracrypt-uninstall.sh
parent41a22ca4e78df752d4ce143a692310ab9e48c686 (diff)
downloadVeraCrypt-5218b6dfe829770737cc07d7cf4bbc161525a6d9.zip
VeraCrypt-5218b6dfe829770737cc07d7cf4bbc161525a6d9.tar.gz
Add VeraCrypt specific Linux packaging code in Makefiles and add various helper scripts. The original TrueCrypt sources didn't contain anything about this.
Diffstat (limited to 'src/Setup/Linux/veracrypt-uninstall.sh')
-rw-r--r--src/Setup/Linux/veracrypt-uninstall.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/Setup/Linux/veracrypt-uninstall.sh b/src/Setup/Linux/veracrypt-uninstall.sh
new file mode 100644
index 0000000..82ea309
--- /dev/null
+++ b/src/Setup/Linux/veracrypt-uninstall.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+V="$(mount | grep veracrypt_aux_mnt)"
+[ "$V" ] && echo Error: All volumes must be dismounted first. && exit 1
+
+rm -f /usr/bin/veracrypt
+rm -f /usr/share/veracrypt/doc/License.txt
+rm -f '/usr/share/veracrypt/doc/VeraCrypt User Guide.pdf'
+rm -f /usr/share/applications/veracrypt.desktop
+rm -f /usr/share/pixmaps/veracrypt.xpm
+rmdir /usr/share/veracrypt/doc /usr/share/veracrypt
+
+echo VeraCrypt uninstalled.
+rm -f /usr/bin/veracrypt-uninstall.sh